package com.wd.workoffice.ui.adapter;


import android.text.TextUtils;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.DepBean;
import com.wd.workoffice.bean.ProPriceBean;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkDepAdapter extends BaseQuickAdapter<DepBean, BaseViewHolder> {

    public WorkDepAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, DepBean item) {
        helper.setText(R.id.tv_name, item.getName());
        helper.setText(R.id.tv_dep, WorkUtils.getDepType(item.getType()));
        if (TextUtils.equals(item.getStatus(), "1")) {
            helper.setText(R.id.tv_status, "正常");
            helper.setBackgroundRes(R.id.tv_status, R.drawable.shape_dep_status);
        } else {
            helper.setText(R.id.tv_status, "冻结");
            helper.setBackgroundRes(R.id.tv_status, R.drawable.shape_dep_status_freeze);
        }

    }
}

